Page MenuHomePhabricator

[Bug] Segmentation fault when apply Ellipsis in Textblock style manager
Closed, ResolvedPublic2 Story Points

Description

Reproduce:

  1. Open Textblock style manager
  2. Glow&Section > Apply shadow and color
  3. Text format > Ellipsis > ON

Actual result:
Program received signal SIGSEGV, Segmentation fault.

Expected result:
Ellipsis should be ON

bt:

#0 0x00007ffff6e03f31 in evas_object_textblock_render (

eo_obj=<optimized out>, obj=0xcbb900, type_private_data=<optimized out>, 
output=0x9ab620, context=0x18ec120, surface=0xf95100, x=-32, y=0, 
do_async=1 '\001') at lib/evas/canvas/evas_object_textblock.c:12922

#1 0x00007ffff6e28fc3 in evas_render_mapped (evas=evas@entry=0x955d90,

eo_obj=eo_obj@entry=0x4000046b30006399, obj=obj@entry=0xcbb900, 
context=context@entry=0x9a32a0, surface=surface@entry=0xf95100, 
off_x=off_x@entry=-32, off_y=off_y@entry=0, mapped=mapped@entry=0, 
ecx=ecx@entry=0, ecy=ecy@entry=0, ecw=ecw@entry=960, ech=ech@entry=376, 
proxy_render_data=proxy_render_data@entry=0x0, level=level@entry=3, 
use_mapped_ctx=use_mapped_ctx@entry=0 '\000', 
do_async=do_async@entry=1 '\001') at lib/evas/canvas/evas_render.c:1812

#2 0x00007ffff6e2abf5 in evas_render_updates_internal_loop (

eo_e=eo_e@entry=0x4000000110000012, e=e@entry=0x955d90, 
surface=surface@entry=0xf95100, context=0x9a32a0, top=top@entry=0x0, 
ux=32, uy=0, uw=960, uh=376, cx=0, cy=0, cw=960, ch=376, fx=fx@entry=0, 
fy=fy@entry=0, alpha=alpha@entry=0 '\000', 
do_async=do_async@entry=1 '\001', offset=offset@entry=0x7fffffffde30, 
level=level@entry=0) at lib/evas/canvas/evas_render.c:2409

#3 0x00007ffff6e2cd06 in evas_render_updates_internal (

eo_e=eo_e@entry=0x4000000110000012, 
make_updates=make_updates@entry=1 '\001', do_draw=do_draw@entry=1 '\001', 
done_func=done_func@entry=0x7ffff6e20970 <evas_render_pipe_wakeup>, 
done_data=done_data@entry=0x955d90, do_async=do_async@entry=1 '\001')
at lib/evas/canvas/evas_render.c:2788

#4 0x00007ffff6e2e2a7 in _evas_canvas_render_async (eo_e=0x4000000110000012,

e=0x955d90) at lib/evas/canvas/evas_render.c:3133

#5 0x00007ffff6da468d in evas_canvas_render_async (obj=0x4000000110000012)

at ../src/lib/evas/canvas/evas_canvas.eo.c:140

#6 0x00007ffff6da7a45 in evas_render_async (obj=<optimized out>)

at ../src/lib/evas/canvas/evas_canvas.eo.c:623

#7 0x00007fffe7c568df in _ecore_evas_x_render (ee=0x952560)

QA_Igor created this task.Jul 13 2016, 5:58 AM
FurryMyad edited projects, added Eflete (Eflete 0.7); removed Eflete.
FurryMyad claimed this task.
FurryMyad moved this task from Backlog to Doing on the Eflete (Eflete 0.7) board.
FurryMyad set the point value for this task to 2.Jul 15 2016, 5:06 AM

problem is inside of EFL libs and its hard to fix it right now

for now we will make text single lined and apply ellipsis to it

FurryMyad moved this task from Doing to Review on the Eflete (Eflete 0.7) board.Jul 15 2016, 5:07 AM
FurryMyad moved this task from Review to Doing on the Eflete (Eflete 0.7) board.
FurryMyad moved this task from Doing to Review on the Eflete (Eflete 0.7) board.Jul 15 2016, 5:11 AM

same in here, wait for eflete updates.,..

once updated will move back to Review c:

FurryMyad moved this task from Review to Doing on the Eflete (Eflete 0.7) board.Jul 15 2016, 5:49 AM
rimmed moved this task from Doing to Done on the Eflete (Eflete 0.7) board.Jul 18 2016, 4:09 AM
rimmed closed this task as Resolved.Jul 18 2016, 4:14 AM